#include <bits/stdc++.h>
using namespace std;
int a,b,x,y;
int main(){
    cin >> a >> b;
    cin >> x >> y;
    if (x==a and y==b)cout << "nijedan" << endl;
    if (x==a and y!=b)cout << "drugi" << endl;
    if (x!=a and y==b)cout << "prvi" << endl;
    if (x!=a and y!=b) cout << "?" << endl;

return 0;
}